server {
    listen 80;
    server_name localhost;

    # Redirection des requêtes vers app.html pour le routage client
    location / {
        root /usr/share/nginx/html;  # Vérifie que ce répertoire contient app.html
        try_files $uri $uri/ /app.html;  # Redirige les requêtes non trouvées vers app.html
    }

    # Pour servir les fichiers statiques (comme CSS, JS, etc.)
    location ~* \.(css|js|json|jpg|jpeg|png|gif|ico)$ {
        root /usr/share/nginx/html;
        try_files $uri =404;
    }
}
